using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.SyntheticsReader.ContractDefinition
{
    public partial class Addresses : AddressesBase { }

    public class AddressesBase 
    {
        [Parameter("address", "account", 1)]
        public virtual string Account { get; set; }
        [Parameter("address", "receiver", 2)]
        public virtual string Receiver { get; set; }
        [Parameter("address", "cancellationReceiver", 3)]
        public virtual string CancellationReceiver { get; set; }
        [Parameter("address", "callbackContract", 4)]
        public virtual string CallbackContract { get; set; }
        [Parameter("address", "uiFeeReceiver", 5)]
        public virtual string UiFeeReceiver { get; set; }
        [Parameter("address", "market", 6)]
        public virtual string Market { get; set; }
        [Parameter("address", "initialCollateralToken", 7)]
        public virtual string InitialCollateralToken { get; set; }
        [Parameter("address[]", "swapPath", 8)]
        public virtual List<string> SwapPath { get; set; }
    }
}
